import { Entity, PrimaryGeneratedColumn, Column, ManyToOne } from 'typeorm';
import { FactionEntity } from '../faction/faction.entity';

@Entity('Score')
export class ScoreEntity {
  @PrimaryGeneratedColumn('uuid') scoreId: string;
  @Column({ type: 'float' }) score: number;
  @Column({ type: 'float' }) scoreTimeStamp: number;

  // when Faction is deleted, it's Score is also deleted
  @ManyToOne(type => FactionEntity, factionName => factionName.factionId, {
    onDelete: 'CASCADE',
  })
  faction: string;
}
