import { SetMetadata } from '@nestjs/common';

/////////////////////////////////////////////////////////
///   pass information from controllers to guards     ///
///   for example @Roles("admin") passes it to        ///
///   roles.guard, which compares user's role         ///
///   to the values return by SetMetadata             ///
/////////////////////////////////////////////////////////

export const Roles = (...roles: string[]) => SetMetadata('roles', roles);

export const GameStates = (...states: string[]) =>
  SetMetadata('states', states);
