import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import {
  GameEntity,
  ObjectivePointEntity,
  ObjectivePoint_HistoryEntity,
} from '../game/game.entity';
import { TickService } from './tick.service';
import { ScoreService } from '../score/score.service';
import { FactionEntity } from '../faction/faction.entity';
import { ScoreEntity } from '../score/score.entity';
import { NotificationModule } from '../notifications/notifications.module';

@Module({
  imports: [
    TypeOrmModule.forFeature([
      GameEntity,
      ScoreEntity,
      ObjectivePointEntity,
      ObjectivePoint_HistoryEntity,
      FactionEntity,
    ]),
    NotificationModule,
  ],
  providers: [TickService, ScoreService],
})
export class TickModule {
  constructor(private tickService: TickService) {
    this.tickService.startTimer();
  }
}
